@media(max-width: 1380px){
    .benefits_box:not(:last-child){
        padding-right: 40px;
    }
    .benefits_box:not(:first-child){
        padding-left: 40px;
    }
}

@media(max-width: 1420px){
    .product_img{
        height: 280px;
    }
}

@media(max-width: 1300px){
    .subheader_wrapper{
        padding-left: 20px;
    }
}

@media(max-width: 1290px){
    .fz-64{
        font-size: 3.25rem;
    }
    .fz-36{
        font-size: 2.125rem;
    }
}

@media(max-width: 1220px){
    .subheader_box:last-child{
        min-width: 690px;
    }
}

@media(max-width: 1140px){
    .subheader{
        flex-direction: column-reverse;
        align-items: flex-start;
        gap: 10px;
    }
    .subheader_box:first-child{
        max-width: unset;
    }
    .subheader_box:last-child{
        min-width: unset;
    }
    .subheader_nav, .subheader_actions{
        padding: 15px;
    }
}

@media(max-width: 1120px){
    .fz-64{
        font-size: 3rem;
    }
    .fz-36{
        font-size: 2rem;
    }
    .benefits_box:not(:last-child){
        padding-right: 20px;
    }
    .benefits_box:not(:first-child){
        padding-left: 20px;
    }
    .header_info_item{
        padding: 0 15px;
    }
    .catalog_wrapper{
        grid-template-columns: repeat(3, 1fr);
    }
}
@media(max-width: 1020px){
    .element_prod, .element_box_wrapper{
        flex-direction: column;
    }
    .element_box_descr, .element_box_price{
        min-height: unset;
        max-height: unset;
        width: 100%;
        padding: 0;
        margin: 0;
        border: none;
    }
    .element_box_price{
        display: flex;
        justify-content: space-between;
    }
    .gallery{
        margin: 40px auto;
    }
    .element_box_item:first-child{
        width: 100%;

    }
    .element_box_item_slider{
        min-width: unset;
    }
}

@media(max-width: 980px){
    .header-tablet-hidden{
        display: none;
    }
    .hamburger-menu{
        display: block;
    }

    .promo_menu{
        display: none;
    }
    .promo_slogan{
        padding: 0 10px;
    }
    .promo_slogan_inner{
        padding: 120px 0;
    }
    .footer_wrapper{
        justify-content: space-between;
    }
}

@media(max-width: 960px){
    .benefits_wrapper{
        flex-direction: column;
    }
    .benefits_box{
        width: 100%;
        justify-content: space-around;
    }
    .benefits_box:not(:last-child){
        padding-right: 0;
        padding-bottom: 20px;
        border-right: unset;
        border-bottom: 1px solid var(--color-gray);
    }
    .benefits_box:not(:first-child){
        padding-left: 0;
        padding-top: 20px;
        flex-direction: column;
        align-items: center;
        gap: 15px;
    }
    .benefits_ico{
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .benefits_ico svg{
        width: 30px;
    }
    .benefits_title{
        text-align: center;
        margin-top: 10px;
    }
    .services_content{
        margin-top: 10px;
    }
    .company_content{
        margin-top: 20px;
    }
    section{
        padding-bottom: 60px;
    }
    .mb100{
        margin-bottom: 60px;
    }
    .mt100{
        margin-top: 100px;
    }
    .footer_map{
        margin: 60px 0;
    }
}

@media(max-width: 920px){
    .projects_wrapper{
        grid-template-columns: repeat(3, auto);
    }
}

@media(max-width: 760px){
    .fz-64{
        font-size: 2.75rem;
    }
    .fz-18{
        font-size: 0.875rem;
    }
    .benefits_box{
        justify-content: space-between;
    }
    .fz-24{
        font-size: 1.25rem;
    }
    .socials{
        gap: 10px;
    }
    .footer_map{
        height: 400px;
    }
    .catalog_wrapper{
        grid-template-columns: repeat(2, 1fr);
    }
    .cart_info_wrapper{
        flex-direction: column;
    }
    .cart_item_info{
        gap: 20px;
    }
    .cart_item_counter{
        margin: 0 10px;
    }
    .cart_item_content{
        max-width: 150px;
    }
    .cart_info_box_select, .cart_info_btn, .back_link{
        height: 45px;
    }
    .back_link{
        margin-top: 30px;
    }
    .cart_info_input input{
        width: 100%;
    }
    .cart_total{
        padding: 20px 0;
    }
    .cart_info_select svg{
        width: 15px;
    }
    .projects_wrapper{
        gap: 10px;
        margin-top: 20px;
    }
    .projects{
        margin-top: 20px;
    }
    .project_item_title{
        left: 10px;
        bottom: 10px;
        font-size: 13px;
    }
}

@media(max-width: 690px){
    .mob-none{
        display: none;
    }
    .element_tab_header{
        gap: 20px;
    }
    .breadcrumbs{
        margin-top: 30px;
    }
}

@media(max-width: 670px){
    .cart_item_total_price{
        margin-right: 10px;
    }
    .cart_item_mdl{
        margin-left: 10px;
    }
    .cart_item_img{
        max-width: 100px;
        min-width: 100px;
        width: 100px;
        height: 100px;
    }
    .product_img{
        height: 200px;
    }
    .product_content{
        margin-top: 10px;
    }
    .btn-bordered{
        padding: 13px 0;
    }
    .product_item_inner{
        padding: 10px;
    }
    .footer_wrapper{
        flex-direction: column;
        width: 100%;
        align-items: center;
        gap: 20px;
    }
    .footer_ico svg{
        max-width: 30px;
    }
    .footer_title, .socials{
        margin-top: 5px;
    }
}

@media(max-width: 620px){
    .element_tab_header{
        flex-wrap: wrap;
        gap: 5px 15px;
    }
    .projects_wrapper{
        grid-template-columns: repeat(2, auto);
    }
}

@media(max-width: 580px){
    .cart_item{
        display: flex;
        flex-wrap: wrap;
    }
    .cart_item_info{
        margin-bottom: 10px;
        width: 100%;
    }
    .header-mobile-hidden{
        display: none;
    }
    .header_logo{
        max-width: 100px;
    }
    .menu__btn{
        top: 23px;
    }
    main{
        margin-top: 70px;
    }
    .header{
        padding: 20px 0;
    }
    .header_info_ico{
        width: 20px;
        height: 20px;
        align-items: center;
        display: flex;
        justify-content: center;
    }
    .header_info_item{
        padding: 0 15px;
        align-items: center;
    }
    .subheader{
        display: none;
    }
    .fz-64{
        font-size: 2.125rem;
    }
    .fz-36{
        font-size: 1.75rem;
    }
    .promo_slogan_title{
        max-width: 330px;
    }

    section{
        padding-bottom: 50px;
    }
    .mb100{
        margin-bottom: 50px;
    }
    .mt100{
        margin-top: 50px;
    }
    .product_img{
        height: 180px;
    }
    .fz-24{
        font-size: 1.125rem;
    }
    .catalog_pagination_item{
        width: 50px;
        height: 50px;
    }
}

@media(max-width: 560px){
    .product_img{
        height: 140px;
    }
}

@media(max-width: 490px){
    .gallery{
        max-width: 360px;
    }
    .gallery-slider .swiper-slide img{
        height: 360px;
    }
    .service_tab_title{
        max-width: calc(100% - 33px);
    }
}
@media(max-width: 460px){
    .history_descr{
        margin-top: 20px;
    }
    .service_tab_title{
        bottom: 10px;
        left: 10px;
    }
    .projects_wrapper{
        grid-template-columns: repeat(1, auto);
    }
}

@media(max-width: 390px){
    .fz-64{
        font-size: 1.45rem;
    }
    .promo_slogan_title {
        max-width: 295px;
    }
    .promo_slogan_inner{
        padding: 80px 0;
    }
    .catalog_wrapper{
        grid-template-columns: repeat(1, 1fr);
    }
    .fz-34{
        font-size: 1.45rem;
    }
}
@media(max-width: 380px) {
    .gallery{
        max-width: 300px;
        margin: 20px auto;
    }
    .gallery-slider .swiper-slide img{
        height: 300px;
    }
}
@media(max-width: 360px){
    .header_info_title{
        display: none;
    }
}